Bug 625480 - Review Request: libcollection - Collection data-type for C
Summary: Review Request: libcollection - Collection data-type for C
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Hrozek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 625482
TreeView+ depends on / blocked
 
Reported: 2010-08-19 15:06 UTC by Stephen Gallagher
Modified: 2010-10-07 11:29 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-07 11:28:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jhrozek: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Stephen Gallagher 2010-08-19 15:06:27 UTC
Spec URL: http://sgallagh.fedorapeople.org/packagereview/ding-libs/libcollection.spec
SRPM URL: http://sgallagh.fedorapeople.org/packagereview/ding-libs/libcollection-0.5.1-1.fc13.src.rpm
Description: 
A data-type to collect data in a hierarchical structure for easy iteration
and serialization

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2411719

Comment 1 Jakub Hrozek 2010-08-26 10:27:57 UTC
RPMLint output: clean, 0 errors, 0 warnings.

The package looks good and is APPROVED. Details follow:

 The review itself:
 [OK] - The package must meet the Packaging Guidelines.
 [OK] - The License field in the package spec file must match the actual license.
 [OK] - The package must be named according to the Package Naming Guidelines
 [OK] - The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
 [OK] - The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
 [OK] - If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for th
 [OK] - The spec file must be written in American English.
 [OK] - The spec file for the package MUST be legible.
 [OK] - The sources used to build the package must match the upstream source, as provided in the spec URL.
      - OK, c94a13e5f1943dcfdc67684b06e8eea1
 [OK] - The package MUST successfully compile and build
 [OK] - All build dependencies must be listed in BuildRequires
      - The two above were tested with koji scratch build
 [OK] - Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must cal
 [OK] - Packages must NOT bundle copies of system libraries
 [OK] - A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does creat
 [OK] - A Fedora package must not list a file more than once in the spec file's %files listings.
 [OK] - Each package must consistently use macros.
 [OK] - The package must contain code, or permissable content.
 [OK] - Header files must be in a -devel package. 
 [OK] - If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel packa
 [OK] - In the vast majority of cases, devel packages must require the base package using a fully versioned dependency
 [OK] - Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
 [OK] - Packages must not own files or directories already owned by other packages 
 [OK] - All filenames in rpm packages must be valid UTF-8. 
 [OK] - Permissions on files must be set properly

Comment 2 Stephen Gallagher 2010-08-26 12:14:09 UTC
New Package SCM Request
=======================
Package Name: libcollection
Short Description: A data-type to collect data in a hierarchical structure for easy iteration and serialization

Owners: sgallagh
Branches: f12 f13 f14
InitialCC: dpal

Comment 3 Kevin Fenzi 2010-08-29 18:59:07 UTC
Git done (by process-git-requests).

Comment 4 Stephen Gallagher 2010-10-07 11:29:21 UTC
Withdrawing this package. Upstream has changed packaging and it will be bundled
into ding-libs.

See https://bugzilla.redhat.com/show_bug.cgi?id=636947


Note You need to log in before you can comment on or make changes to this bug.